Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Class ServerDescriptionImpl

    java.lang.Object
      |
      +--com.novell.service.server.ServerDescriptionImpl

public class ServerDescriptionImpl
extends java.lang.Object
implements , ServerDescription

Provides the Attribute value of an attribute of a ServerDirContext.

See Also:
  `ServerDescription`

Constructor Summary
`ServerDescriptionImpl()` Constructs a ServerDescriptionImpl attribute value.

Method Summary
`java.lang.String` | `getCompanyName()` Returns the name of the company providing the version of NetWare.
`java.lang.String` | `getCopyrightNotice()` Returns the copyright notice of the server.
`java.lang.String` | `getRevision()` Returns the version of the server and revision description string.
`java.lang.String` | `getRevisionDate()` Returns the revision date of the server.
`void` | `setCompanyName(java.lang.String value)` Sets the name of the company providing the version of the NetWare OS as the search value.
`void` | `setCopyrightNotice(java.lang.String value)` Sets the copyright notice of the server as the search value.
`void` | `setRevision(java.lang.String value)` Sets the version of the server and revision description string as the search value.
`void` | `setRevisionDate(java.lang.String value)` Sets the server's revision date in the form of mm/dd/yyyy as the search value.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerDescriptionImpl

    public ServerDescriptionImpl()

  Constructs a ServerDescriptionImpl attribute value. This constructor is used to manually create attributes for methods such as search().

Method Detail

### getCompanyName

    public java.lang.String getCompanyName()
                                    throws com.novell.service.jncp.NSIException

  Returns the name of the company providing the version of NetWare.
  Specified by:
    getCompanyName in interface ServerDescription
  Returns:
    The name of the company providing the version of the NetWare OS.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getRevision

    public java.lang.String getRevision()
                                 throws com.novell.service.jncp.NSIException

  Returns the version of the server and revision description string.
  Specified by:
    getRevision in interface ServerDescription
  Returns:
    The server's version and revision description string.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getRevisionDate

    public java.lang.String getRevisionDate()
                                     throws com.novell.service.jncp.NSIException

  Returns the revision date of the server.
  Specified by:
    getRevisionDate in interface ServerDescription
  Returns:
    The server's revision date in the form of mm/dd/yyyy.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### getCopyrightNotice

    public java.lang.String getCopyrightNotice()
                                        throws com.novell.service.jncp.NSIException

  Returns the copyright notice of the server.
  Specified by:
    getCopyrightNotice in interface ServerDescription
  Returns:
    The server's copyright notice.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setCompanyName

    public void setCompanyName(java.lang.String value)
                        throws com.novell.service.jncp.NSIException

  Sets the name of the company providing the version of the NetWare OS as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setCompanyName in interface ServerDescription
  Parameters:
    `value` - The name of the company providing the version of NetWare.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setRevision

    public void setRevision(java.lang.String value)
                     throws com.novell.service.jncp.NSIException

  Sets the version of the server and revision description string as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setRevision in interface ServerDescription
  Parameters:
    `value` - The server's version and revision description string.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setRevisionDate

    public void setRevisionDate(java.lang.String value)
                         throws com.novell.service.jncp.NSIException

  Sets the server's revision date in the form of mm/dd/yyyy as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setRevisionDate in interface ServerDescription
  Parameters:
    `value` - the revision date of the server.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

### setCopyrightNotice

    public void setCopyrightNotice(java.lang.String value)
                            throws com.novell.service.jncp.NSIException

  Sets the copyright notice of the server as the search value. This is used to search for all servers matching the value parameter.
  Specified by:
    setCopyrightNotice in interface ServerDescription
  Parameters:
    `value` - The server's copyright notice.
  Throws:
    com.novell.service.jncp.NSIException - When an error occurs retrieving the information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD